<agm-map *ngIf="isLoading" [latitude]="lat" [longitude]="lng">
  <agm-direction [origin]="origin" [destination]="destination"></agm-direction>
  <agm-marker *ngFor="let marker of markers; let i = index"
              (markerClick)="clickHandler(marker)"
              [latitude]="marker.latitude"
              [longitude]="marker.longitude"
              [iconUrl]="{
                            url: '/assets/images/icons/'+marker.image,
                            scaledSize: {
                                width: 24,
                                height: 24
                            }
              }">

    <agm-info-window><span class="marker-name"><strong>Name:</strong>  {{marker.name}}</span>
                     <br/>
                     <strong>Type:</strong> {{marker.type}}
    </agm-info-window>
  </agm-marker>
</agm-map>

  <div class="containerr">
    <div class="row">
      <div class="col-3">
          <label for="type"><strong><span class="white">Rodzaj</span></strong></label>
          <select (change)="onChange($event.target.value)" class="form-control" id="type" required [(ngModel)]="type" name="type">
            <option *ngFor="let type of types" [value]="type" >{{type}}</option>
          </select>
      </div>
      <div class="col">
        <span class="white"><strong>Znajdź drogę: </strong><br/> {{originName}} - {{destinationName}}</span><br/>
        <button (click)="generatePath()" class="btn btn-outline-success btn-sm">Generuj</button>
      </div>
    </div>
  </div>

<br/>
<!--
<strong>Developer Console:</strong><br/>
{{str}}
-->
